Subject: Re: bug#66664: On modified lines containing🌐︎ and Unicode VS15 in text mode emacs does not show the real content of the lines

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Oct 2023 16:36:38 +0300

> From: Дилян Палаузов
> 	 <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 21 Oct 2023 15:12:03 +0200
> 
> thanks for your answer. I am using Gnome Terminal 3.48.1 on Fedora 38, but with MATE Terminal 1.26.1 the same happens.  I tried to follow your advice.  I start emacs -nw u.txt , then M-x auto-composition-mode.  
> 
> Emacs changes the displayed text from
> 
> t.add('🌐︎ ' + 'abcd')
> 
> to 
> 
> t.add('🌐   ' + 'abcd')
> 
> and prints “Auto-Composition mode disabled in current buffer”.  After the change the globe is coloured in the terminal and there is an underscore after the globe.  I again press several times the right arrow to go over the letter c and then press x. Emacs again deletes (actually hides) the letter c and shows on its place the letter x.

Then I cannot reproduce this, nether with nor without
auto-composition-mode.  What happens if you use xterm instead?

Also, does this happen in "emacs -Q -nw"?  And what is your
locale-environment and language-environment?